[arch-commits] Commit in hspell/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu May 1 09:30:43 EDT 2008


    Date: Thursday, May 1, 2008 @ 09:30:42
  Author: jgc
Revision: 1146

upgpkg: hspell 1.0-2
    Add license, build with -fPIC on x86_64
Note: upstream website is down at this moment. http://www.sourcefiles.org/Utilities/Dictionary/hspell-1.0.tar.gz used as source this time

Modified:
  hspell/trunk/PKGBUILD

----------+
 PKGBUILD |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-01 13:03:46 UTC (rev 1145)
+++ PKGBUILD	2008-05-01 13:30:42 UTC (rev 1146)
@@ -3,19 +3,21 @@
 
 pkgname=hspell
 pkgver=1.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Hebrew spell-checker"
 arch=(i686 x86_64)
+license=('GPL')
 url="http://www.ivrix.org.il/projects/spell-checker/"
-depends=('glibc' 'zlib' 'perl')
-options=('nolibtool')
+depends=('glibc>=2.7' 'zlib' 'perl')
+options=('!libtool' '!makeflags')
 source=(http://www.ivrix.org.il/projects/spell-checker/${pkgname}-${pkgver}.tar.gz)
 md5sums=('3e12fa383c2cfd430918d115f33f9841')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver} 
+  [ "${CARCH}" = "x86_64" ] && export CFLAGS="${CFLAGS} -fPIC"
   sed -i -e 's|/usr/bin/awk|/bin/awk|' wzip
   ./configure --prefix=/usr  --enable-linginfo
   make || return 1
-  make DESTDIR=${startdir}/pkg/ install 
+  make DESTDIR=${startdir}/pkg/ install || return 1
 }





More information about the arch-commits mailing list